ELJavascriptValidatorTag (Struts EL 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.strutsel.taglib.html
Class ELJavascriptValidatorTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.html.JavascriptValidatorTag
                  org.apache.strutsel.taglib.html.ELJavascriptValidatorTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, Tag

    public class ELJavascriptValidatorTag

extends JavascriptValidatorTag

Custom tag that generates JavaScript for client side validation based on the validation rules loaded by the `ValidatorPlugIn` defined in the struts-config.xml file.

This class is a subclass of the class `org.apache.struts.taglib.html.JavascriptValidatorTag` which provides most of the described functionality. This subclass allows all attribute values to be specified as expressions utilizing the JavaServer Pages Standard Library expression language.

Version:
  $Rev: 471754 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.taglib.html.JavascriptValidatorTag
`bundle, cdata, dynamicJavascript, formName, HTML_BEGIN_COMMENT, HTML_END_COMMENT, htmlComment, jsFormName, lineEnd, methodName, page, scriptLanguage, src, staticJavascript`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ELJavascriptValidatorTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`String` | `getBundleExpr()` Getter method for "bundle" tag attribute.
`String` | `getCdataExpr()` Getter method for "cdata" tag attribute.
`String` | `getDynamicJavascriptExpr()` Getter method for "dynamicJavascript" tag attribute.
`String` | `getFormNameExpr()` Getter method for "formName" tag attribute.
`String` | `getHtmlCommentExpr()` Getter method for "htmlComment" tag attribute.
`String` | `getMethodExpr()` Getter method for "method" tag attribute.
`String` | `getPageExpr()` Getter method for "page" tag attribute.
`String` | `getScriptLanguageExpr()` Getter method for "scriptLanguage" tag attribute.
`String` | `getSrcExpr()` Getter method for "src" tag attribute.
`String` | `getStaticJavascriptExpr()` Getter method for "staticJavascript" tag attribute.
`void` | `release()` Resets attribute values for tag reuse.
`void` | `setBundleExpr(String bundleExpr)` Setter method for "bundle" tag attribute.
`void` | `setCdataExpr(String cdataExpr)` Setter method for "cdata" tag attribute.
`void` | `setDynamicJavascriptExpr(String dynamicJavascriptExpr)` Setter method for "dynamicJavascript" tag attribute.
`void` | `setFormNameExpr(String formNameExpr)` Setter method for "formName" tag attribute.
`void` | `setHtmlCommentExpr(String htmlCommentExpr)` Setter method for "htmlComment" tag attribute.
`void` | `setMethodExpr(String methodExpr)` Setter method for "method" tag attribute.
`void` | `setPageExpr(String pageExpr)` Setter method for "page" tag attribute.
`void` | `setScriptLanguageExpr(String scriptLanguageExpr)` Setter method for "scriptLanguage" tag attribute.
`void` | `setSrcExpr(String srcExpr)` Setter method for "src" tag attribute.
`void` | `setStaticJavascriptExpr(String staticJavascriptExpr)` Setter method for "staticJavascript" tag attribute.

Methods inherited from class org.apache.struts.taglib.html.JavascriptValidatorTag
`getBundle, getCdata, getDynamicJavascript, getFormName, getHtmlComment, getJavascriptBegin, getJavascriptEnd, getJavascriptStaticMethods, getJsFormName, getMethod, getPage, getScriptLanguage, getSrc, getStaticJavascript, renderJavascript, renderStartElement, setBundle, setCdata, setDynamicJavascript, setFormName, setHtmlComment, setJsFormName, setMethod, setPage, setScriptLanguage, setSrc, setStaticJavascript`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doEndTag, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### ELJavascriptValidatorTag

    public ELJavascriptValidatorTag()

Method Detail

### getCdataExpr

    public String getCdataExpr()

  Getter method for "cdata" tag attribute. (Mapping set in associated BeanInfo class.)

### getDynamicJavascriptExpr

    public String getDynamicJavascriptExpr()

  Getter method for "dynamicJavascript" tag attribute. (Mapping set in associated BeanInfo class.)

### getFormNameExpr

    public String getFormNameExpr()

  Getter method for "formName" tag attribute. (Mapping set in associated BeanInfo class.)

### getMethodExpr

    public String getMethodExpr()

  Getter method for "method" tag attribute. (Mapping set in associated BeanInfo class.)

### getPageExpr

    public String getPageExpr()

  Getter method for "page" tag attribute. (Mapping set in associated BeanInfo class.)

### getScriptLanguageExpr

    public String getScriptLanguageExpr()

  Getter method for "scriptLanguage" tag attribute. (Mapping set in associated BeanInfo class.)

### getSrcExpr

    public String getSrcExpr()

  Getter method for "src" tag attribute. (Mapping set in associated BeanInfo class.)

### getStaticJavascriptExpr

    public String getStaticJavascriptExpr()

  Getter method for "staticJavascript" tag attribute. (Mapping set in associated BeanInfo class.)

### getHtmlCommentExpr

    public String getHtmlCommentExpr()

  Getter method for "htmlComment" tag attribute. (Mapping set in associated BeanInfo class.)

### getBundleExpr

    public String getBundleExpr()

  Getter method for "bundle" tag attribute. (Mapping set in associated BeanInfo class.)

### setCdataExpr

    public void setCdataExpr(String cdataExpr)

  Setter method for "cdata" tag attribute. (Mapping set in associated BeanInfo class.)

### setDynamicJavascriptExpr

    public void setDynamicJavascriptExpr(String dynamicJavascriptExpr)

  Setter method for "dynamicJavascript" tag attribute. (Mapping set in associated BeanInfo class.)

### setFormNameExpr

    public void setFormNameExpr(String formNameExpr)

  Setter method for "formName" tag attribute. (Mapping set in associated BeanInfo class.)

### setMethodExpr

    public void setMethodExpr(String methodExpr)

  Setter method for "method" tag attribute. (Mapping set in associated BeanInfo class.)

### setPageExpr

    public void setPageExpr(String pageExpr)

  Setter method for "page" tag attribute. (Mapping set in associated BeanInfo class.)

### setScriptLanguageExpr

    public void setScriptLanguageExpr(String scriptLanguageExpr)

  Setter method for "scriptLanguage" tag attribute. (Mapping set in associated BeanInfo class.)

### setSrcExpr

    public void setSrcExpr(String srcExpr)

  Setter method for "src" tag attribute. (Mapping set in associated BeanInfo class.)

### setStaticJavascriptExpr

    public void setStaticJavascriptExpr(String staticJavascriptExpr)

  Setter method for "staticJavascript" tag attribute. (Mapping set in associated BeanInfo class.)

### setHtmlCommentExpr

    public void setHtmlCommentExpr(String htmlCommentExpr)

  Setter method for "htmlComment" tag attribute. (Mapping set in associated BeanInfo class.)

### setBundleExpr

    public void setBundleExpr(String bundleExpr)

  Setter method for "bundle" tag attribute. (Mapping set in associated BeanInfo class.)

### release

    public void release()

  Resets attribute values for tag reuse.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `JavascriptValidatorTag`

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `JavascriptValidatorTag`
  Throws:
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.